Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation.ast
Interface AnnotationParserTreeConstants

All Known Implementing Classes:
  AnnotationParser

public interface AnnotationParserTreeConstants

Field Summary
`static int` | `JJTANNOTATION`
`static int` | `JJTCHAR`
`static int` | `JJTIDENTIFIER`
`static int` | `JJTMEMBERVALUEARRAYINITIALIZER`
`static int` | `JJTMEMBERVALUEPAIR`
`static int` | `JJTMEMBERVALUEPAIRS`
`static String[]` | `jjtNodeName`
`static int` | `JJTSINGLEMEMBERVALUE`
`static int` | `JJTSTART`
`static int` | `JJTSTRING`
`static int` | `JJTVOID`

Field Detail

### JJTSTART

    public static final int JJTSTART

See Also:
  Constant Field Values

### JJTANNOTATION

    public static final int JJTANNOTATION

See Also:
  Constant Field Values

### JJTSINGLEMEMBERVALUE

    public static final int JJTSINGLEMEMBERVALUE

See Also:
  Constant Field Values

### JJTMEMBERVALUEPAIRS

    public static final int JJTMEMBERVALUEPAIRS

See Also:
  Constant Field Values

### JJTMEMBERVALUEPAIR

    public static final int JJTMEMBERVALUEPAIR

See Also:
  Constant Field Values

### JJTVOID

    public static final int JJTVOID

See Also:
  Constant Field Values

### JJTMEMBERVALUEARRAYINITIALIZER

    public static final int JJTMEMBERVALUEARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTIDENTIFIER

    public static final int JJTIDENTIFIER

See Also:
  Constant Field Values

### JJTSTRING

    public static final int JJTSTRING

See Also:
  Constant Field Values

### JJTCHAR

    public static final int JJTCHAR

See Also:
  Constant Field Values

### jjtNodeName

    public static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.